%define oname gnome-sharp
%define monodir %_prefix/lib/mono

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	C# language binding for GNOME
Name:		gnome-sharp2
Version:	2.24.2
Release:	%mkrel 9
License:	LGPLv2
Group:		System/Libraries
URL:		http://gtk-sharp.sourceforge.net/
Source0:	https://download.gnome.org/sources/%{oname}/%{url_ver}/%{oname}-%{version}.tar.bz2
BuildRequires:	pkgconfig(gapi-2.0) >= 2.12.2
BuildRequires:	pkgconfig(glade-sharp-2.0) >= 2.12.2
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.13.0
BuildRequires:	pkgconfig(gnome-vfs-2.0) >= 2.22.0
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.13.0
BuildRequires:	pkgconfig(gtk-sharp-2.0) >= 2.12.2
BuildRequires:	pkgconfig(libart-2.0) >= 2.3.20
BuildRequires:	pkgconfig(libgnomecanvas-2.0) >= 2.20.0
BuildRequires:	pkgconfig(libgnomeui-2.0) >= 2.23.0
BuildRequires:	pkgconfig(mono) >= 2.7
BuildRequires:	pkgconfig(mono-cairo) >= 2.7

%description
This is a C# language binding for GNOME.

%package devel
Summary: C# language binding for GNOME - devel files
Group: Development/Other
Requires: %name = %version
Requires: gtk-sharp2-devel

%description devel
This is a C# language binding for GNOME. It contains all files that are needed
to build against %{name}.

%prep
%setup -q -n %oname-%version

%build
%configure2_5x --disable-static
make

%install
%makeinstall_std

rm -rf %buildroot%_libdir/*.la

%files
%doc README
%monodir/gac/*art-sharp
%monodir/gtk-sharp-2.0/*art-sharp.dll*
%monodir/gac/*gconf-sharp
%monodir/gac/*gconf-sharp-peditors
%monodir/gac/*gnome-sharp
%monodir/gac/*gnome-vfs-sharp
%monodir/gtk-sharp-2.0/*gconf-sharp.dll*
%monodir/gtk-sharp-2.0/*gconf-sharp-peditors.dll*
%monodir/gtk-sharp-2.0/*gnome-sharp.dll*
%monodir/gtk-sharp-2.0/*gnome-vfs-sharp.dll*
%_libdir/libgnomesharpglue-2.so


%files devel
%doc ChangeLog
%doc sample
%_bindir/gconfsharp2-schemagen
%_prefix/lib/gtk-sharp-2.0/gconfsharp-schemagen.exe
%_datadir/gapi-2.0/*.xml
%_libdir/pkgconfig/art-sharp-2.0.pc
%_libdir/pkgconfig/gconf-sharp-2.0.pc
%_libdir/pkgconfig/gconf-sharp-peditors-2.0.pc
%_libdir/pkgconfig/gnome-vfs-sharp-2.0.pc
%_libdir/pkgconfig/gnome-sharp-2.0.pc


%changelog
* Mon Feb 15 2016 umeabot <umeabot> 2.24.2-9.mga6
+ Revision: 960465
- Mageia 6 Mass Rebuild

* Sun Dec 20 2015 tv <tv> 2.24.2-8.mga6
+ Revision: 912671
- rebuild for mono4

* Wed Oct 15 2014 umeabot <umeabot> 2.24.2-7.mga5
+ Revision: 747260
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.24.2-6.mga5
+ Revision: 679762
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.24.2-5.mga4
+ Revision: 505074
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.24.2-4.mga3
+ Revision: 352198
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 22 2012 ovitters <ovitters> 2.24.2-3.mga2
+ Revision: 212212
- clean spec

* Wed Dec 14 2011 fwang <fwang> 2.24.2-2.mga2
+ Revision: 181513
- clean up br

* Sun Jan 16 2011 pterjan <pterjan> 2.24.2-1.mga2
+ Revision: 20454
- imported package gnome-sharp2


* Sat Oct 09 2010 Götz Waschk <waschk@mandriva.org> 2.24.2-1mdv2011.0
+ Revision: 584487
- update to new version 2.24.2

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 2.24.1-2mdv2010.1
+ Revision: 521490
- rebuilt for 2010.1

* Tue Mar 03 2009 Götz Waschk <waschk@mandriva.org> 2.24.1-1mdv2009.1
+ Revision: 348079
- update to new version 2.24.1

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 282694
- new version

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-1mdv2009.0
+ Revision: 273544
- new version
- update license

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 2.20.1-2mdv2009.0
+ Revision: 264558
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 23 2008 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2009.0
+ Revision: 196735
- new version
- bump deps

* Tue Apr 15 2008 Götz Waschk <waschk@mandriva.org> 2.20.0-5mdv2009.0
+ Revision: 193608
- fix devel deps

* Tue Apr 08 2008 Götz Waschk <waschk@mandriva.org> 2.20.0-4mdv2009.0
+ Revision: 192404
- split out devel package

* Tue Mar 25 2008 Thierry Vignaud <tv@mandriva.org> 2.20.0-3mdv2008.1
+ Revision: 190014
- do not package big ChangeLog
- remove 300k of docs from livecd

* Wed Mar 05 2008 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.1
+ Revision: 179631
- new version
- bump deps

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 2.19.91-1mdv2008.1
+ Revision: 159558
- new version
- drop patch

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 2.19.90-2mdv2008.1
+ Revision: 159333
- add back MasterClient symbol

* Fri Jan 25 2008 Götz Waschk <waschk@mandriva.org> 2.19.90-1mdv2008.1
+ Revision: 157867
- new version
- drop patch
- bump deps
- remove libs that are now in gnome-desktop-sharp

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 04 2007 Adam Williamson <awilliamson@mandriva.org> 2.16.0-6mdv2008.1
+ Revision: 105671
- buildrequires gtk-sharp2-devel
- rebuild for 2008
- new license policy
- small spec clean


* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.16.0-5mdv2007.1
+ Revision: 146583
- split out doc

* Tue Mar 13 2007 Götz Waschk <waschk@mandriva.org> 2.16.0-4mdv2007.1
+ Revision: 143213
- update for gtkhtml 3.14

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.16.0-3mdv2007.1
+ Revision: 126123
- fix gtkhtml dep and major

* Mon Feb 19 2007 Götz Waschk <waschk@mandriva.org> 2.16.0-2mdv2007.1
+ Revision: 122687
- fix buildrequires
- Import gnome-sharp2

* Mon Feb 19 2007 Götz Waschk <waschk@mandriva.org> 2.16.0-2mdv2007.1
- Rebuild

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- bump deps
- drop the patch
- fix source URL
- New release 2.16.0

* Sat Aug 12 2006 Emmanuel Andry <eandry@mandriva.org> 2.15.0-2mdv2007.0
- statically set /usr/lib to fix packaging on x86_64

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 2.15.0-1mdv2007.0
- initial package

